<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="settingsName"
            type="String" />

        <variable
            name="settingsIcon"
            type="android.graphics.drawable.Drawable" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_ripple_common_mask"
        android:paddingVertical="10dp">

        <ImageView
            android:id="@+id/item_setting_icon"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginStart="24dp"
            android:src="@{settingsIcon}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="1:1"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintWidth_percent="0.1111111111111111"
            tools:src="@drawable/icon_setting_rate" />

        <TextView
            android:text="@{settingsName}"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:textColor="@color/white"
            android:textSize="17sp"
            app:layout_constraintBottom_toBottomOf="@+id/item_setting_icon"
            app:layout_constraintStart_toEndOf="@+id/item_setting_icon"
            app:layout_constraintTop_toTopOf="@+id/item_setting_icon"
            tools:text="Rate App" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>